Support ⇒ Upgrades :: Archives ⇒ Problem with PMs after upgrade :: Archived ⇒ Community Forums ⇒ CPG Dragonfly™ CMS
Forum IndexUpgrades

Archived ⇒ Problem with PMs after upgrade


I am getting this DB error when trying to read a PM

CMS Warning line 75: On /stronghold/index.php?name=Private_Messages&folder=inbox&mode=read&p=1 While executing query "SELECT u.username AS username_1, u.user_id AS user_id_1, u2.username AS username_2, u2.user_id AS user_id_2, u.user_posts, u.user_from, u.user_website, u.user_email, u.user_icq, u.user_aim, u.user_yim, u.user_skype, u.user_regdate, u.user_msnm, u.user_viewemail, u.user_rank, u.user_sig, u.user_avatar, pm.*, pmt.privmsgs_text FROM wc_bbprivmsgs pm, wc_bbprivmsgs_text pmt, kls_users u, kls_users u2 WHERE pm.privmsgs_id = 1 AND pmt.privmsgs_text_id = pm.privmsgs_id AND pm.privmsgs_to_userid = 2 AND ( pm.privmsgs_type = 0 OR pm.privmsgs_type = 1 OR pm.privmsgs_type = 5 ) AND u.user_id = pm.privmsgs_from_userid AND u2.user_id = pm.privmsgs_to_userid" the following error occured: Unknown column 'u.user_skype' in 'field list' In: /home/kotlscom/public_html/stronghold/modules/Private_Messages/read.php on line: 67

I have multiple sites with diferent system prefixes and my user database running one prefix. Any ideas on a fix?

"Z"

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
OS: Linux / Apache: 1.3.37 (Unix) / MySQL: 5.0.27-standard / PHP: 4.4.6 / Dragonfly (9.1.2.1)


I also imported the user database from NUKE PHP, and it worked, I am not sure if PMs worked before he importing of users.

Sorry, couldnt edit original post

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
OS: Linux / Apache: 1.3.37 (Unix) / MySQL: 5.0.27-standard / PHP: 4.4.6 / Dragonfly (9.1.2.1)


Unknown column 'u.user_skype' in 'field list'


user_skype is a relatively new field added. Try just creating that field in the user table.

Admin - Great Lakes Web Designs
Theme Designer - WebSite Guru Designs
Site Admin - Families with Food Allergies

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux 2.6.27-grsec/Apache 2.2.11/MySQL 5.0.67-community-log/PHP 5.2.8/DF 9.2.1


there are 5 topics already, one of them is a sticky on this forum which if you read it has the solution to your problem that was caused by importing back your cms_users table.

No one seems to get what an upgrade means, no one seems to read.

Zason do you require the URL for the topic in question or we all might decide to open our eyes and start walking with our own feet?

.:: I met php the 03 December 2003 :: Unforgettable day! ::.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CloudLinux / Apache 2.4 LSAPI / MySQLi 5.6 / PHP 5.6 / DCVS


Thank You, rlgura! It worked.

Sorry Nano, I DID search for it but I could not find it.

I obviously did not know what to search for, give us nubs a break.

"Z"

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
OS: Linux / Apache: 1.3.37 (Unix) / MySQL: 5.0.27-standard / PHP: 4.4.6 / Dragonfly (9.1.2.1)


I had another DB error, with setting the Timezone. However with your help on the other issue I had, rlgura, I was able to figure out how to fix that too. I think I just leveled up >;+P

"Z"

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
OS: Linux / Apache: 1.3.37 (Unix) / MySQL: 5.0.27-standard / PHP: 4.4.6 / Dragonfly (9.1.2.1)


Smile yes you did

.:: I met php the 03 December 2003 :: Unforgettable day! ::.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CloudLinux / Apache 2.4 LSAPI / MySQLi 5.6 / PHP 5.6 / DCVS

All times are UTC